### Virtual Method

# Clutter VirtualInputDevice notify_discrete_scroll

#### Declaration [src]

    void
    notify_discrete_scroll (
      ClutterVirtualInputDevice* virtual_device,
      uint64_t time_us,
      ClutterScrollDirection direction,
      ClutterScrollSource scroll_source
    )

#### Description

No description available.

#### Parameters

`time_us`

  Type: `uint64_t`

  No description available.

`direction`

  Type: `ClutterScrollDirection`

  No description available.

`scroll_source`

  Type: `ClutterScrollSource`

  No description available.